Site Studio — Contacts
3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List contacts for a funnel (paginated)#
GET
/funnels/{funnelId}/contactsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
funnelIdPflicht | Pfad | string | – |
page | Query | number | – |
pageSize | Query | number | – |
search | Query | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/contacts" \
-H "Authorization: Bearer $XISUITE_TOKEN"Delete a contact#
DELETE
/funnels/{funnelId}/contacts/{contactId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
contactIdPflicht | Pfad | string | – |
funnelIdPflicht | Pfad | any | – |
Antworten
- 204Kein Inhalt
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/contacts/{contactId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Export contacts as CSV#
GET
/funnels/{funnelId}/contacts/exportTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
funnelIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/contacts/export" \
-H "Authorization: Bearer $XISUITE_TOKEN"